import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  name: z.string(),
  phoneNumber: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional()
}).strict();
export const InsuranceContactUncheckedCreateInputObjectSchema: z.ZodType<Prisma.InsuranceContactUncheckedCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceContactUncheckedCreateInput>;
export const InsuranceContactUncheckedCreateInputObjectZodSchema = makeSchema();
